"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var domain_1 = require("../serenity/domain");
function fullNameOf(scenario) {
    return !!scenario.parent
        ? (fullNameOf(scenario.parent) + " " + scenario.title).trim()
        : scenario.title;
}
function nameOf(scenario) {
    return fullNameOf(scenario).substring(categoryOf(scenario).length).trim();
}
exports.nameOf = nameOf;
function categoryOf(scenario) {
    return !!scenario.parent && scenario.parent.title.trim() !== ''
        ? categoryOf(scenario.parent)
        : scenario.title;
}
exports.categoryOf = categoryOf;
function finalStateOf(scenario) {
    if (scenario.pending) {
        return domain_1.Result.PENDING;
    }
    if (scenario.state === 'passed') {
        return domain_1.Result.SUCCESS;
    }
    if (scenario.state === 'failed') {
        return domain_1.Result.FAILURE;
    }
    if (scenario.timedOut) {
        return domain_1.Result.COMPROMISED;
    }
    return domain_1.Result.COMPROMISED;
}
exports.finalStateOf = finalStateOf;
var MochaScene = (function (_super) {
    __extends(MochaScene, _super);
    function MochaScene(scenario) {
        return _super.call(this, nameOf(scenario), categoryOf(scenario), scenario.file, [], scenario.fullTitle()) || this;
    }
    return MochaScene;
}(domain_1.Scene));
exports.MochaScene = MochaScene;
//# sourceMappingURL=model.js.map